//The research was supported by the project  GACR GA15-03564S

//// RESULTS
//// ========================================================================
cla
pr=0;     // print figures? yes or no (xs2pdf figures)
ip=1;     // number of figure

// prints
// simulated and estimated pointer vslues
if exists('q')
disp('Simulated transition table')
disp(als)
disp('Estimated transition table')
for i=1:nc
  if size(al(1),1)==1
  disp(al(i)(1,q))
  else
  disp(al(i)(q,q))
  end
end
end

// evolution of the component weights
c1=['.:';'.:';'.:';'.:';'.:';'.:';'.:'];
c2=['r';'b';'g';'k';'m';'c';'y'];  

// 1 ------------------------------------------------------------
if nd>200, nw=200; else nw=1; end
for i=1:nc
set(figure(10+i),'position',[500+10*i 60+10*i 500 500])
  plot(wt(i,:),'.:')
  set(gcf(),'background',8)
  title('Evolution of pointer probabilities','fontsize',4)
  xlabel('time','fontsize',4)
  ylabel('w('+string(i)+')','fontsize',4)
  if pr>0, xs2pdf(10+i,'Task2f1'+string(10*i+ip)), end
end

// 2 ------------------------------------------------------------
s=1:nd;
for i=1:nc
  scf(1+i);  
  set(gcf(),'position',[600+20*i 80+20*i 500 500])
  plot(Res(i).th')
  title('Evolution of component parameters','fontsize',4)
  xlabel('first variable','fontsize',4)
  ylabel('second variable','fontsize',4)
  if pr>0, xs2pdf(1+i,'Task2f2'+string(ip)+string(i)), end
end

// 3 ------------------------------------------------------------
set(figure(31),'position',[700 100 500 500])
set(gcf(),'background',8)
dd=[yt ypt]';
mi=min(dd,'r'); ma=max(dd,'r');
amp=.05; jigg=amp*rand(2,length(s),'norm');
plot(yt(1,s)+jigg(1,:),yt(2,s)+jigg(2,:),'b.','markersize',1)
set(gca(),'data_bounds',[mi(1)-1 ma(1)+1 mi(2)-1 ma(2)+1])
jigg=amp*rand(2,length(s),'norm');
plot(ypt(1,s)+jigg(1,:),ypt(2,s)+jigg(2,:),'r.','markersize',1)
set(gca(),'data_bounds',[mi(1)-1 ma(1)+1 mi(2)-1 ma(2)+1])
title(string(np)+'-steps predicted clusters','fontsize',4)
xlabel('first variable','fontsize',4)
ylabel('second variable','fontsize',4)
h=legend('data','predictions');
set(h,'background',8)
set(h,'foreground',8)
set(h,'font_color',-1)
if pr>0, xs2pdf(31,'Task2f3'+string(ip)), end

// 4 ------------------------------------------------------------
if exists('q')
s1=(nd-99):nd;
set(figure(41),'position',[800 120 500 500])
set(gca(),'data_bounds',[min(s1) max(s1) .9 3.1])
set(gcf(),'background',8)
plot(s1,ct(s1),'o',s1,q(Ecp(s1)),'.')
title('Component '+string(np)+'-th step prediction','fontsize',4)
xlabel('time','fontsize',4)
ylabel('pointer value','fontsize',4)
if pr>0, xs2pdf(41,'Task2f4'+string(ip)), end
end
