//The research was supported by the project  GACR GA15-03564S

function [q,T]=c2c(ct,Ect)
  // cc=c2c(ct,Ect)   permutation of pointer values for a plot
  // ct      simulated pointer
  // Ect     estimated pointer
  // q       order vector for Ect
  // T       transformation matrix
  //
  // USAGE:       ct=q(Ect)
  // set:  [q T]=c2c(ct,Ect);      sim. and estim. pointer
  // plot(1:nd,ct,1:nd,q(Ect))     plotting 
  //
  n=min([length(ct),length(Ect)]);
  if max(ct(1:n))~=max(Ect(1:n))
    disp 'ERROR in c2c.sci: Different number of components'
    return
  end
  
  nc=max(ct);
  T=zeros(nc,nc);
  for t=1:n
    T(ct(t),Ect(t))=T(ct(t),Ect(t))+1;  // transformation matrix
  end

  for i=1:nc
    [xxx,q(i)]=max(T(:,i));             // order vector
  end
endfunction
