//The research was supported by the project  GACR GA15-03564S

function [Est,ka]=initExp(yi,A)
  // [Est,ka]=initExp(yi,A) init. of mixture estimation with 
  //                        static 2-dim. exponential components
  // Est     vector of structures documenting estimation of components
  // ka      vector of data counters
  // yi      init. data (with known pointer)
  //
  
  nc=max(yi(3,:));
  ni=size(yi,2);
  for i=1:nc
    t=find(yi(3,:)==i);
    Est(i).V=sum(yi(1:2,t),2);
    ka(i)=length(t);
    Est(i).th=Est(i).V/ka(i)-A(i);
    Est(i).A=A(i);

    Est(i).thI=Est(i).th;
    Est(i).Vi=Est(i).V;
  end
endfunction
