//The research was supported by the project  GACR GA15-03564S

function [mp,KF]=predSta(nc,xx,y,M,A,F,Rs,Rv,Rx)
  // predSta(xx,y,M,A,F,Rs,Rv,Rx)  data prediction from regression components
  // mp      proximities of data to components
  // KF      structure of results from KFilt
  // xx      old state estimate
  // y       data item
  // M,A,F   model parameters
  // Rs,Rv   model covariances
  // Rx      covariance matrix of the state estimate

  for c=1:nc
    KF(c)=KFilt(xx,y,M(c),A(c),F(c),Rs(c),Rv(c),Rx); // KF
    mc(c)=GaussN(y,KF(c).yp,KF(c).Ry); // data-comp. proximity
  end
  if abs(sum(mc))<1e-8, mc=ones(nc,1)/nc; end // if the current data
  // item is too far from all components, the proximities are all zero; 
  // in that case we choose their uniform distribution.
  mp=fnorm(mc);                              // normalization
  mp=mp(:);                                  // column vector
endfunction
