//The research was supported by the project  GACR GA15-03564S

function x=row2psi(i,b)
  // x=row2psi(i,b)   generates a discrete regression vector
  //                  with a base b that corresponds to the 
  //                  i-th row of a table of the discrete model
  // it is based on the relation
  //       i=b(n-1)b(n-2)...b(1)(x(n)-1)+...+b(1)(x(2)-1)+x(1)

  if isscalar(b), 
    n=fix(log(i+1)/(log(b)))+1;
    b=b*ones(1,n); 
  else
    n=length(b);   
  end
  if i>prod(b)
    disp('ERROR: The row number is too big')
    return
  end
  i=i-1;
  for j=1:n
    i=i/b(n-j+1);
    x(n-j+1)=round((i-fix(i))*b(n-j+1)+1);
    i=fix(i);
  end
  x=x(:)';
endfunction
