//The research was supported by the project  GACR GA15-03564S

function [Est,yp,mu]=updtDis(w,y,mu)
  // [theta,yp,mu]=updtDis(w,y,mu) update of discrete statistics
  // theta   model regression coefficients
  // yp      data prediction
  // mu      statistics for model estimation

  [xxx,wm]=max(w);                        // maximum w
  nc=length(w);                           // number of components
  j=psi2row(y,[2 2]);                     // convert from y1,y2 to table row
  // component statistics update
  yy=0;
  for c=1:nc
    mu(c).ent(j)=mu(c).ent(j)+w(c);       // final update
    Est(c).th=fnorm(mu(c).ent,2);         // point estimates
  end
  [xxx yy]=max(Est(wm).th);               // pointer point estimate
  yp=row2psi(yy,[2 2])';                  // conversion to y1,y2
endfunction
