//The research was supported by the project  GACR GA15-03564S

function [Est,yp,ka]=updtReg(w,y,Est,ka,fi,wy,sq)
  // [theta,covar,yp,V,ka]=updtReg(w,y,V,ka,fi) update of regr. statistics
  // theta   model regression coefficients
  // covar   model covariance matrices
  // yp      data prediction
  // V,ka    component statistics
  // w       actual component weights
  // y       data item
  // fi      factor of exponential forgetting

  if argn(2)<7, sq=0; end
  if sq>0, sq=1; end
  ny=max(size(y));
  nc=max(size(w));                      // number of components      
  yp=zeros(ny,1);
  // update of statistics for components 
  d=[y;1];                              // extended regression vector
  for c=1:nc
    ka(c)=ka(c)+w(c);                   // update of the counter 
    Est(c).V=fi*Est(c).V+w(c)*d*d';     // update of information matrix 
    [Est(c).th,Est(c).cv]=v2thN(Est(c).V/ka(c),ny); // point estimates  
    sqc=uut(Est(c).cv);                 // sqrt of covariance matrix
    yp=yp+wy(c)*(Est(c).th'+sq*sqc*rand(ny,1,'norm'));  // mix. data pred.
  end
  if t<.25*nd; for i=1:nc, Est(i).cv=.01*eye(2,2); end, end
  // this is a trick: until the parameter estimates are not roughly
  //   precise, we fix the covariances to relatively small values.
  //   Only then, they are allowed to evolve according to the data.
endfunction
