//The research was supported by the project  GACR GA15-03564S

function [th,s2]=v2thN(v,m)
  // [th,s2]=v2thn(v,m)   computation of par. point estimates 
  //                      from normalized information matrix
  // v    information matrix (divided by number of samples)
  // m    dimension of y
  // th   regression coefficients
  // s2   noise cobariance estimate

  if argn(2)<2    // check for number of input arguments
    m=1; 
  end

  // partitioning of information matrix
  vy=v(1:m,1:m);
  vyf=v(m+1:$,1:m);
  vf=v(m+1:$,m+1:$);

  // computation of point estimates
  th=inv(vf+1e-12*eye(vf))*vyf;
  s2=(vy-vyf'*th);
endfunction
